Subject: Re: Malloc bug?

From: David Edelsohn <[email-masked]>
Date: Tue, 18 Jul 2000 17:37:09 -0400

>>>>> Nathan Ingersoll writes:

Nathan> On Tue, 18 Jul 2000, Paul Schinder wrote:

>> At 3:40 PM -0500 7/18/00, Nathan Ingersoll wrote:
>> >I've been working on a GTK program for a while now, and I've been
>> >experiencing segfaults within malloc. I was under the impression that
>> >malloc should always return successfully (at least that's what the man
>> >page says).

Nathan> Right, but it's not returning at all. It's segfaulting inside the malloc
Nathan> function before it returns anything.

	Sounds more like something is overwriting one of malloc's internal
data areas or possibly hitting some weird ulimit symptom.

David

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/